package vn.hongyegroup.yybusiness.http

import com.android.basiclib.bean.BaseBean
import com.android.basiclib.bean.PageInfo
import com.android.cs_service.CommApi
import okhttp3.MultipartBody
import retrofit2.http.Field
import retrofit2.http.FieldMap
import retrofit2.http.FormUrlEncoded

import retrofit2.http.GET
import retrofit2.http.Multipart
import retrofit2.http.POST
import retrofit2.http.Part
import retrofit2.http.Query
import retrofit2.http.QueryMap
import vn.hongyegroup.yybusiness.entity.AttendanceBean
import vn.hongyegroup.yybusiness.entity.CheckInOut
import vn.hongyegroup.yybusiness.entity.LoginBean

interface ApiService {

    /**
     *
     * 登录
     */
    @FormUrlEncoded
    @POST(CommApi.LOGIN_IN)
    suspend fun requestLogin(@FieldMap params: Map<String, String>): BaseBean<LoginBean>

    /**
     * 登出
     */
    @FormUrlEncoded
    @POST(CommApi.LOG_OUT)
    suspend fun requestLogout(@Field("token") token: String): BaseBean<Boolean>


    /**
     * 待签到列表
     */
    @GET(CommApi.APPLIED_LIST)
    suspend fun fetchAppliedList(@QueryMap params: Map<String, String>): BaseBean<PageInfo<AttendanceBean>>


    /**
     * 签到签出
     */
    @Multipart
    @POST(CommApi.CHECK_IN_OUT)
    suspend fun checkInOrOut(@Part parts: List<MultipartBody.Part>): BaseBean<CheckInOut>

}