package vn.hongyegroup.yybusiness.widget

import androidx.fragment.app.FragmentActivity
import com.android.basiclib.engine.dialog.PopupType
import com.android.basiclib.engine.dialog.showPopup
import com.android.basiclib.engine.toast.toast
import com.android.basiclib.ext.click
import com.android.basiclib.utils.BitmapUtils
import com.android.basiclib.utils.CommUtils
import com.android.basiclib.utils.log.MyLogUtils
import vn.hongyegroup.yybusiness.databinding.PopopSignCheckInOutBinding


object ShowCheckInUtil {

    fun showPopup(activity: FragmentActivity, onConfirmAction: (path: String?) -> Unit) {

        activity.showPopup(
            popupType = PopupType.CENTER,
            enableDismiss = false,
            viewBinding = PopopSignCheckInOutBinding::inflate,
            onCreateListener = { binding, control ->
                binding.btnClearPad.click {
                    binding.handWrite.clear()
                }
                binding.btnNo.click {
                    control.dismiss()
                }
                binding.btnYes.click {
                    if (binding.handWrite.isSign()) {
                        control.dismiss()
                        val bitmap = binding.handWrite.bitmap

                        if (bitmap != null) {
                            val bitmapUtils: BitmapUtils = BitmapUtils.getInstance(CommUtils.getContext())
                            val path: String = bitmapUtils.sdpath
                            val fileName = System.currentTimeMillis().toString() + ".JPEG"
                            val signaturePath = path + fileName
                            if (!bitmapUtils.isFileExist("")) {
                                bitmapUtils.createSDDir("")
                            }
                            MyLogUtils.w("签名保存过后的路径：$path")
                            //由于获取的是png格式，必须调用此方法把透明底变成白色
                            bitmapUtils.savePng2JpgBitmap(bitmap, fileName)

                            //压缩签名图片再上传，哈夫曼算法压缩
                            onConfirmAction.invoke(signaturePath)

                        } else {
                            onConfirmAction.invoke(null)
                        }
                    } else {
                        toast("Please Sign First!")
                    }
                }
            }
        )

    }

}