/**
 *  @author Newki
 *
 *  第三方依赖包
 */
object VersionThirdPart {

    //网络请求 retrofit
    object Retrofit {
        private const val version = "2.9.0"

        //内置了OkHttp 3.14.9 与 okio 3.1.0
        const val core = "com.squareup.retrofit2:retrofit:$version"

        //gson转换器
        const val convertGson = "com.squareup.retrofit2:converter-gson:$version"

        //指定Gson版本
        const val gson = "com.google.code.gson:gson:2.10.1"
        const val okio = "com.squareup.okio:okio:3.0.0"
    }

    //图片加载框架
    object Glide {
        private const val version = "4.11.0"

        const val core = "com.github.bumptech.glide:glide:$version"
        const val annotation = "com.github.bumptech.glide:annotations:$version"
        const val integration = "com.github.bumptech.glide:okhttp3-integration:$version"
        const val compiler = "com.github.bumptech.glide:compiler:$version"
    }

    //多媒体 https://github.com/LuckSiege/PictureSelector
    object ImageSelector {
        private const val version = "v3.11.2"

        const val core = "io.github.lucksiege:pictureselector:$version"
        const val compress = "io.github.lucksiege:compress:$version"
        const val ucrop = "io.github.lucksiege:ucrop:$version"
    }

    //第三方 dialog 项目地址：https://github.com/li-xiaojun/XPopup
    object XPopup {
        private const val version = "2.10.0"
        private const val picker_version = "1.0.1"

        //弹窗
        const val core = "com.github.li-xiaojun:XPopup:$version"

        //弹窗+PickerView封装
        const val picker = "com.github.li-xiaojun:XPopupExt:$picker_version"

        //简易RV-Adapter
        const val easyAdapter = "com.github.li-xiaojun:EasyAdapter:1.2.8"
    }

    //第三方刷新布局 https://github.com/scwang90/SmartRefreshLayout
    object SmartRefresh {
        private const val version = "2.1.0"

        //刷新布局
        const val core = "io.github.scwang90:refresh-layout-kernel:$version"

        //经典刷新头布局
        const val classicsHeader = "io.github.scwang90:refresh-header-classics:$version"
    }

    //气泡吐司  https://github.com/getActivity/Toaster
    const val toaster = "com.github.getActivity:Toaster:12.6"

    //权限申请  https://github.com/getActivity/XXPermissions
    const val xxPermission = "com.github.getActivity:XXPermissions:18.6"

    //Gson 解析容错  https://github.com/getActivity/GsonFactory
    const val gsonFactory = "com.github.getActivity:GsonFactory:9.5"

    //第三方轮播图  https://github.com/youth5201314/banner
    const val banner = "io.github.youth5201314:banner:2.2.3"

    //RecycleView适配器工具  https://github.com/CymChad/BaseRecyclerViewAdapterHelper
    const val baseRecycleViewHelper = "com.github.CymChad:BaseRecyclerViewAdapterHelper:3.0.4"

    //LiveBus - 消息总线  https://github.com/JeremyLiao/LiveEventBus
    const val liveEventBus = "io.github.jeremyliao:live-event-bus-x:1.8.0"

    //lottie 动画
    // 你可以使用转换工具将mp4转换成json【https://isotropic.co/video-to-lottie/】
    // 去这里下载素材【https://lottiefiles.com/】
    const val lottie = "com.airbnb.android:lottie:4.1.0"

    //C库加载GIF图片
    const val gifDrawable = "pl.droidsonroids.gif:android-gif-drawable:1.2.28"

    //内存泄露检测工具
    const val leakcanary = "com.squareup.leakcanary:leakcanary-android:2.7"

}