package com.android.basiclib.engine.dialog

//常见的几种类型
enum class PopupType {
    BOTTOM, KEYBOARD, CENTER, FULL_SCREEN, ATTACH, PART_SCREEN
}

//常见的弹窗动画
enum class PopupAnimationType {

    // 缩放 + 透明渐变
    ScaleAlphaFromCenter,

    // 从中心进行缩放+透明渐变
    ScaleAlphaFromLeftTop,

    //从左上角进行缩放+透明渐变
    ScaleAlphaFromRightTop,

    //从右上角进行缩放+透明渐变
    ScaleAlphaFromLeftBottom,

    //从左下角进行缩放+透明渐变
    ScaleAlphaFromRightBottom,

    //从右下角进行缩放+透明渐变
    // 平移 + 透明渐变
    TranslateAlphaFromLeft,

    // 从左平移进入
    TranslateAlphaFromRight,

    // 从右平移进入
    TranslateAlphaFromTop,

    // 从上方平移进入
    TranslateAlphaFromBottom,

    // 从下方平移进入
    // 从左平移进入
    TranslateFromLeft,

    // 从右平移进入
    TranslateFromRight,

    // 从上方平移进入
    TranslateFromTop,

    // 从下方平移进入
    TranslateFromBottom,

    //禁用动画
    NoAnimation
}
