package com.android.basiclib.engine.image_select.dialog

import android.app.Activity
import com.android.basiclib.engine.image_select.ImageSelectEngine
import com.android.basiclib.view.dialog.PickPhotoDialog

/**
 * 带弹窗的相机相册的选择
 */
object ImageSelectDialogEngine {

    /**
     * 弹出选择相机相册的弹窗
     */
    fun imageSelect(
        activity: Activity,
        maxNumFromAlbum: Int = 1,
        allowAlbum: Boolean = true,
        needCrop: Boolean = false,
        needCompress: Boolean = true,
        cropRatioX: Int = 1,
        cropRatioY: Int = 1,
        resultAction: (List<String>) -> Unit
    ) {

        PickPhotoDialog(activity, allowAlbum).apply {
            SetOnChooseClickListener(object : PickPhotoDialog.OnChooseClickListener {
                override fun chooseCamera() {
                    ImageSelectEngine.openCamera(activity, null, needCrop, needCompress, cropRatioX, cropRatioY) {
                        resultAction(it.map {
                            it.finalPath
                        })
                    }
                }

                override fun chooseAlbum() {
                    ImageSelectEngine.openAlbum(
                        activity, null, maxNumFromAlbum,
                        canTackPhoto = false,
                        canVideo = false,
                        canCrop = needCrop,
                        canCompress = needCompress,
                        ratioX = cropRatioX,
                        ratioY = cropRatioY
                    ) {
                        resultAction(it.map {
                            it.finalPath
                        })
                    }
                }
            })
            show()
        }

    }

}