package com.android.basiclib.ext

import android.content.Context
import android.graphics.drawable.Drawable

import android.view.View
import androidx.core.content.ContextCompat
import androidx.fragment.app.Fragment
import androidx.recyclerview.widget.RecyclerView

/**
 * 资源操作相关
 */

fun Context.color(id: Int) = ContextCompat.getColor(this, id)

fun Context.string(id: Int) = resources.getString(id)

fun Context.stringArray(id: Int): Array<String> = resources.getStringArray(id)

fun Context.drawable(id: Int): Drawable? = ContextCompat.getDrawable(this, id)

fun Context.dimenPx(id: Int): Int = resources.getDimensionPixelSize(id)


fun View.color(id: Int) = context.color(id)

fun View.string(id: Int) = context.string(id)

fun View.stringArray(id: Int): Array<String> = context.stringArray(id)

fun View.drawable(id: Int): Drawable? = context.drawable(id)

fun View.dimenPx(id: Int) = context.dimenPx(id)


fun Fragment.color(id: Int) = context?.color(id)

fun Fragment.string(id: Int) = context?.string(id)

fun Fragment.stringArray(id: Int): Array<String>? = context?.stringArray(id)

fun Fragment.drawable(id: Int): Drawable? = context!!.drawable(id)

fun Fragment.dimenPx(id: Int) = context?.dimenPx(id)


fun RecyclerView.ViewHolder.color(id: Int) = itemView.color(id)

fun RecyclerView.ViewHolder.string(id: Int) = itemView.string(id)

fun RecyclerView.ViewHolder.stringArray(id: Int) = itemView.stringArray(id)

fun RecyclerView.ViewHolder.drawable(id: Int) = itemView.drawable(id)

fun RecyclerView.ViewHolder.dimenPx(id: Int) = itemView.dimenPx(id)